/*
 * CHMC5883.h
 *
 *  Created on: 11.10.2013
 *      Author: 
 */

#ifndef CHMC5883_H_
#define CHMC5883_H_

#define HMC5843_I2C_ID 0x1E

/**
 *    HMC-5883
 */
typedef struct {
	/**
	 *
	 */
	char conversion[4096];

	/**
	 *
	 */
	int counts_per_mgauss;

	/**
	 *
	 */
	char mode[4096];

	/**
	 *
	 */
	int range;

	/**
	 *
	 */
	char rate[4096];

	/**
	 *
	 */
	char status[4096];

	/**
	 *   
	 */
	char value[4096];
} hmc5843Data;

/**
 *    HMC-5883
 */
class CHMC5883
{
public:
	/**
	 * 
	 */
	CHMC5883();

	/**
	 * 
	 */
	virtual ~CHMC5883();

	/**
	 *  Compass 3-Axis HMC-5883
	 */
	hmc5843Data get();
};

#endif /* CHMC5883_H_ */
