/*
 * CBMP085.h
 *
 *  Created on: 11.10.2013
 *      Author: 
 */

#ifndef CBMP085_H_
#define CBMP085_H_

#define BMP085_I2C_ID 0x77

/**
 *    BMP-085
 */
typedef struct {
	/**
	 *   ( ). -,    (3)
	 */
	int oversampling;

	/**
	 * 
	 */
	int pressure0_input;

	/**
	 * 
	 */
	int temp0_input;
} bmp085Data;

/**
 *    BMP-085
 */
class CBMP085
{
public:
	/**
	 * 
	 */
	CBMP085();

	/**
	 * 
	 */
	virtual ~CBMP085();

	/**
	 *  Barometer BMP-085
	 */
	bmp085Data get();
};

#endif /* CBMP085_H_ */
