/*
 * CITG3200.h
 *
 *  Created on: 11.10.2013
 *      Author: 
 */

#ifndef CITG3200_H_
#define CITG3200_H_

#define ITG3200_I2C_ID 0x68

/**
 *    ITG3200
 */
typedef struct {
	/**
	 *
	 */
	int low_pass;

	/**
	 *   
	 */
	int samplerate;

	/**
	 *  . = 1 -  , = 0 - 
	 */
	int suspend;

	/**
	 *   
	 */
	char values[4096];
} itg3200Data;

/**
 *    ITG-3200
 */
class CITG3200
{
public:
	/**
	 * 
	 */
	CITG3200();

	/**
	 * 
	 */
	virtual ~CITG3200();

	/**
	 *  3-Axis Gyro ITG-3200 or ITG-3205
	 */
	itg3200Data get();
};

#endif /* CITG3200_H_ */
